﻿:root {
    --maxwidth: 268px;
    --maxheight: 321px;
    --minwidth: 268px;
    --minheight: 321px;
    --mineditor: 100mm --secondary-color: #2ecc71;
    --primary-color: #3498db;
    --secondary-color: #2ecc71;
    --font-size: 16px;
}

.div-itemshow {
    max-width: var(--maxwidth);
    /*    min-height: var(--minheight);*/
    /* background-color: whitesmoke;*/
    /* border: 1px solid #ccc;*/
    /*border-bottom*/: 0;
    display: grid;
    overflow: hidden;
    padding: 4px;
}


.rivi-1-sarake {
    display: grid;
    grid-template-columns: auto;
    grid-gap: 1px 1px;
}

    .rivi-1-sarake img {
        max-width: 100%;
        height: auto;
        object-fit: contain;
    }


.rivi-2-saraketta {
    display: grid;
    max-width: 100%;
    grid-template-columns: auto auto;
    grid-gap: 1px 1px;
    overflow: hidden;
    container-type: inline-size;
}

    .rivi-2-saraketta .oo-value {
        min-width: 0;
    }

        .rivi-2-saraketta .oo-value:first-child .edititem {
            line-height: 1.4;
        }



    /*.rivi-2-saraketta img {
        width: 100%;
        max-width: 100%;
        height: auto;
        max-height: none;
        object-fit: contain;*/ /* Pienentää kuvan siististi laatikon sisälle */
    /*display: block;
    }*/
    .rivi-2-saraketta img {
        width: 100%;
        height: auto;
        object-fit: contain;
        display: block;
        margin-left: auto;
        margin-right: auto;
    }


.rivi-3-saraketta {
    display: grid;
    grid-template-columns: auto auto auto;
    max-width: 100%;
    grid-gap: 1px 1px;
    overflow: hidden;
    container-type: inline-size;
}

    .rivi-3-saraketta .oo-value:first-child .edititem {
        line-height: 1.4;
    }



    .rivi-3-saraketta img {
        max-height: 100%;
        width: auto;
        object-fit: contain;
        display: block;
    }


.rivi-4-saraketta {
    display: grid;
    grid-template-columns: auto auto auto auto;
    max-width: 100%;
    grid-gap: 1px 1px;
    overflow: hidden;
    container-type: inline-size;
}

    .rivi-4-saraketta .oo-value:first-child .edititem {
        line-height: 1.4;
    }



    .rivi-4-saraketta img {
        max-height: 100%;
        width: auto;
        object-fit: contain;
        display: block;
    }

.rivi-2x-1x-sarakkeet {
    display: grid;
    grid-template-columns: 2fr 1fr;
    max-width: 100%;
    grid-gap: 1px 1px;
    overflow: hidden;
    container-type: inline-size;
}

    .rivi-2x-1x-sarakkeet .oo-value:first-child .edititem {
        line-height: 1.4;
    }



    .rivi-2x-1x-sarakkeet img {
        max-height: 100%;
        width: auto;
        object-fit: contain;
        display: block;

    }

.rivi-3x-1x-sarakkeet {
    display: grid;
    grid-template-columns: 3fr 1fr;
    max-width: 100%;
    grid-gap: 1px 1px;
    overflow: hidden;
    container-type: inline-size;
}

    .rivi-3x-1x-sarakkeet .oo-value:first-child .edititem {
        line-height: 1.4;
    }



    .rivi-3x-1x-sarakkeet img {
        max-height: 100%;
        width: auto;
        object-fit: contain;
        display: block;
    }

h1, h2, h3, h4, h5, h6 {
    margin: 2px;
    padding: 1px;
}

[data-fldtpe="leftimg"] {
    padding: 4px;
}

    [data-fldtpe="leftimg"] img {
        float: left;
        margin: 4px 4px 0 0; /* Jätä hieman tilaa kuvan ympärille */
        max-width: 80px; /* Säädä kuvan kokoa tarpeen mukaan */
        height: auto;
    }

[data-fldtpe="rigthimg"] {
    padding: 4px;
}

    [data-fldtpe="rigthimg"] img {
        float: right;
        margin: 4px 4px 0 0; /* Jätä hieman tilaa kuvan ympärille */
        max-width: 80px !important; /* Säädä kuvan kokoa tarpeen mukaan */
        height: auto;
    }

[data-origin="aseta-listaksi"] {
    margin: 0;
    padding-left: 20px; /* Sisennä lista */
    list-style-type: disc; /* Käytä luettelomerkeiksi pisteitä */
}

    [data-origin="aseta-listaksi"] li::marker {
        content: "✦ "; /* Käytä haluttua merkkiä */
        color: #333; /* Voit muuttaa väriä */
        font-size: 0.8em; /* Halutessasi suurentaa/pienentää */
    }

.oo-value ul {
    margin: 0;
    padding-left: 6px;
    margin-block-start: 0;
    margin-block-end: 0;
    padding-inline-start: 1.5em;
    list-style-type: disc;
}

.oo-value li {
    margin-bottom: 0;
    line-height: 1.1;
}

/*.oo-value div {
    line-height: 1.1;
    
}
*/
.oo-value a {
    text-decoration: none;
    width: var(--maxwidth);
    overflow-x: clip;
}

.rivi-2-saraketta .oo-value,
.rivi-2-saraketta .oo-value > div,
.rivi-2-saraketta .itemframe,
.rivi-2-saraketta .edititem,
.rivi-2-saraketta a {
    width: auto !important;
    max-width: 100% !important;
}
.rivi-1-sarake img {
    display: block;
    margin-left: auto;
    margin-right: auto;
}
